ns am acquiring this error while structure the SwiftJSON framework to the part Xcode task through Carthage exposed Manager.

You are watching: Xcrun: error: unable to find utility "instruments", not a developer tool or in path

Sivaramaiahs-Mac-mini:GZipDemoApp vsoftMacmini5$ carthage update --platform iOS

*** Fetching GzipSwift

*** Fetching SwiftyJSON

*** discovering GzipSwift in ~ "3.1.1"

*** downloading SwiftyJSON.framework binary at "3.1.3"

*** xcodebuild output can be found in /var/folders/7m/y0r2mdhn0f16zz1nlt34ypzr0000gn/T/carthage-xcodebuild.apLXCc.log

A shell task (/usr/bin/xcrun xcodebuild -project /Users/vsoftMacmini5/Desktop/GZipDemoApp/Carthage/Checkouts/GzipSwift/Gzip.xcodeproj CODE_SIGNING_REQUIRED=NO CODE_SIGN_IDENTITY= CARTHAGE=YES -list) failed with leave code 72:

xcrun: error: unable to find utility "xcodebuild", not a developer device or in PATH


command-line surroundings swift3 gzip carthage
re-publishing
boost this inquiry
follow
edited Oct 23 "19 in ~ 13:36
*

Tms91
2,06511 gold badge1919 silver- badges4040 bronze badges
asked Nov 22 "16 at 13:55
*

Sivaram YadavSivaram Yadav
2,75133 gold badges1010 silver- badges1515 bronze badges
add a comment |

2 answers 2


energetic earliest Votes
782
I fixed that problem by setting the Command Line tools in Xcode. Walk to:

Xcode > choices > Locations

And choose the command line tool from the dropdown. If you have actually only one version of Xcode installed, there should be only one option. If you have several execution of Xcode, then you must pick the one girlfriend need.

Update (added image for reference)

*


share
boost this price
follow
edited may 17 "18 in ~ 8:41
answered january 8 "17 in ~ 18:09
*

Adriana PinedaAdriana Pineda
8,17911 yellow badge1010 silver badges1414 bronze title
6
| display 1 much more comment
57
The simplest fix is from CLI:sudo xcode-select -s /Applications/Xcode.app/Contents/Developer

(this need to be path to your Xcode.app)

By the way this deserve to happen also if you have actually only one variation of Xcode . The happens once you instal homebrew prior to the first Xcode installation (which renders sense due to the fact that you might want to install Xcode through mas install 497799835 and also mas needs homebrew).


re-superstructure
enhance this answer
monitor
answer Oct 15 "19 at 11:14
*

volvol
1,10488 silver- badges1515 bronze badges
1
add a comment |

your Answer


Thanks because that contributing an answer to stack Overflow!

Please be sure to answer the question. Carry out details and also share your research!

But avoid

Asking for help, clarification, or responding to other answers.Making statements based on opinion; earlier them increase with referrals or personal experience.

To learn more, watch our tips on writing an excellent answers.

See more: Video Projector, Xiaomi Mi Ultra Short 5000 Ansi Lumens Laser Projector 150


Draft saved
Draft discarded

Sign up or log in in


authorize up making use of Google
sign up using Facebook
authorize up using Email and Password
submit

Post as a guest


name
email Required, however never shown


Post together a guest


name
email

Required, yet never shown


post Your answer Discard

By click “Post your Answer”, friend agree come our terms of service, privacy policy and cookie policy


Not the prize you're looking for? Browse various other questions tagged command-line installation swift3 gzip carthage or questioning your own question.


The Overflow Blog
Upcoming events
Featured ~ above Meta
Linked
6
Pod Spec Lint CoreSimulator recognize Xcode.app relocation or CoreSimulatorService variation change
1
Carthage update fail with departure code 1 once upgrade MacOs and also Xcode
1
Compilation error after update to macOS Mojave | fatal error: limits.h: No such record or directory
connected
558
ls command: how have the right to I obtain a recursive full-path listing, one line every file?
435
Is over there a command line energy for calculation GitHub flavored Markdown?
634
Node.js version on the command line? (not the REPL)
0
Carthage xcodebuild timed the end
2469
Git is not functioning after macOS update (xcrun: error: invalid energetic developer course (/Library/Developer/CommandLineTools)
0
ObjectMapper: Module compiled with Swift 4.2 cannot be imported in Swift 4.1.2:
4
exactly how to deal with Carthage construct Error: "SWIFT_VERSION '3.0' is unsupported" when Swift 5 is selected
0
Carthage develop failing through Cuckoo library with Xcode 11.3
hot Network concerns an ext hot inquiries

question feed
subscribe to RSS
question feed To subscribe to this RSS feed, copy and also paste this URL into your RSS reader.


*

lang-swift
stack Overflow
products
company
ridge Exchange Network
site style / logo design © 2021 stack Exchange Inc; user contributions licensed under cc by-sa. Rev2021.10.19.40496


Stack Overflow works best with JavaScript allowed
*

your privacy

By click “Accept every cookies”, girlfriend agree ridge Exchange deserve to store cookies on your device and disclose details in accordance v our Cookie Policy.